searchData={"items":[{"type":"module","title":"Confuse","doc":"Parse config files based on the libconfuse format.","ref":"Confuse.html"},{"type":"function","title":"Confuse.parse/1","doc":"Parse a configuration string into a structured map.","ref":"Confuse.html#parse/1"},{"type":"function","title":"Confuse.parser/2","doc":"Parses the given `binary` as parser.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the parser (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Confuse.html#parser/2"},{"type":"function","title":"Options - Confuse.parser/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Confuse.html#parser/2-options"},{"type":"function","title":"Confuse.statement__0/6","doc":"","ref":"Confuse.html#statement__0/6"},{"type":"function","title":"Confuse.statement__1/6","doc":"","ref":"Confuse.html#statement__1/6"},{"type":"function","title":"Confuse.statement__2/6","doc":"","ref":"Confuse.html#statement__2/6"},{"type":"function","title":"Confuse.statement__3/6","doc":"","ref":"Confuse.html#statement__3/6"},{"type":"function","title":"Confuse.statement__4/6","doc":"","ref":"Confuse.html#statement__4/6"},{"type":"function","title":"Confuse.statement__5/6","doc":"","ref":"Confuse.html#statement__5/6"},{"type":"function","title":"Confuse.statement__6/6","doc":"","ref":"Confuse.html#statement__6/6"},{"type":"function","title":"Confuse.statement__7/6","doc":"","ref":"Confuse.html#statement__7/6"},{"type":"function","title":"Confuse.statement__8/6","doc":"","ref":"Confuse.html#statement__8/6"},{"type":"function","title":"Confuse.statement__9/6","doc":"","ref":"Confuse.html#statement__9/6"},{"type":"function","title":"Confuse.statement__10/6","doc":"","ref":"Confuse.html#statement__10/6"},{"type":"function","title":"Confuse.statement__11/6","doc":"","ref":"Confuse.html#statement__11/6"},{"type":"function","title":"Confuse.statement__12/6","doc":"","ref":"Confuse.html#statement__12/6"},{"type":"function","title":"Confuse.statement__13/6","doc":"","ref":"Confuse.html#statement__13/6"},{"type":"function","title":"Confuse.statement__14/6","doc":"","ref":"Confuse.html#statement__14/6"},{"type":"function","title":"Confuse.statement__15/6","doc":"","ref":"Confuse.html#statement__15/6"},{"type":"function","title":"Confuse.statement__16/6","doc":"","ref":"Confuse.html#statement__16/6"},{"type":"function","title":"Confuse.statement__17/6","doc":"","ref":"Confuse.html#statement__17/6"},{"type":"function","title":"Confuse.statement__18/6","doc":"","ref":"Confuse.html#statement__18/6"},{"type":"function","title":"Confuse.statement__19/6","doc":"","ref":"Confuse.html#statement__19/6"},{"type":"function","title":"Confuse.statement__20/6","doc":"","ref":"Confuse.html#statement__20/6"},{"type":"function","title":"Confuse.statement__21/6","doc":"","ref":"Confuse.html#statement__21/6"},{"type":"function","title":"Confuse.statement__22/6","doc":"","ref":"Confuse.html#statement__22/6"},{"type":"function","title":"Confuse.statement__23/6","doc":"","ref":"Confuse.html#statement__23/6"},{"type":"function","title":"Confuse.statement__24/6","doc":"","ref":"Confuse.html#statement__24/6"},{"type":"function","title":"Confuse.statement__25/6","doc":"","ref":"Confuse.html#statement__25/6"},{"type":"function","title":"Confuse.statement__26/6","doc":"","ref":"Confuse.html#statement__26/6"},{"type":"function","title":"Confuse.statement__27/6","doc":"","ref":"Confuse.html#statement__27/6"},{"type":"function","title":"Confuse.statement__28/6","doc":"","ref":"Confuse.html#statement__28/6"},{"type":"function","title":"Confuse.statement__29/6","doc":"","ref":"Confuse.html#statement__29/6"},{"type":"function","title":"Confuse.statement__30/6","doc":"","ref":"Confuse.html#statement__30/6"},{"type":"function","title":"Confuse.statement__31/6","doc":"","ref":"Confuse.html#statement__31/6"},{"type":"function","title":"Confuse.statement__32/6","doc":"","ref":"Confuse.html#statement__32/6"},{"type":"function","title":"Confuse.statement__33/6","doc":"","ref":"Confuse.html#statement__33/6"},{"type":"function","title":"Confuse.statement__34/6","doc":"","ref":"Confuse.html#statement__34/6"},{"type":"function","title":"Confuse.statement__35/6","doc":"","ref":"Confuse.html#statement__35/6"},{"type":"function","title":"Confuse.statement__36/6","doc":"","ref":"Confuse.html#statement__36/6"},{"type":"function","title":"Confuse.statement__37/6","doc":"","ref":"Confuse.html#statement__37/6"},{"type":"function","title":"Confuse.statement__38/6","doc":"","ref":"Confuse.html#statement__38/6"},{"type":"function","title":"Confuse.statement__39/6","doc":"","ref":"Confuse.html#statement__39/6"},{"type":"function","title":"Confuse.statement__40/6","doc":"","ref":"Confuse.html#statement__40/6"},{"type":"function","title":"Confuse.statement__41/6","doc":"","ref":"Confuse.html#statement__41/6"},{"type":"function","title":"Confuse.statement__42/6","doc":"","ref":"Confuse.html#statement__42/6"},{"type":"function","title":"Confuse.statement__43/6","doc":"","ref":"Confuse.html#statement__43/6"},{"type":"function","title":"Confuse.statement__44/6","doc":"","ref":"Confuse.html#statement__44/6"},{"type":"function","title":"Confuse.statement__45/6","doc":"","ref":"Confuse.html#statement__45/6"},{"type":"function","title":"Confuse.statement__46/6","doc":"","ref":"Confuse.html#statement__46/6"},{"type":"function","title":"Confuse.statement__47/6","doc":"","ref":"Confuse.html#statement__47/6"},{"type":"function","title":"Confuse.statement__48/6","doc":"","ref":"Confuse.html#statement__48/6"},{"type":"function","title":"Confuse.statement__49/6","doc":"","ref":"Confuse.html#statement__49/6"},{"type":"function","title":"Confuse.statement__50/6","doc":"","ref":"Confuse.html#statement__50/6"},{"type":"function","title":"Confuse.statement__51/6","doc":"","ref":"Confuse.html#statement__51/6"},{"type":"function","title":"Confuse.statement__52/6","doc":"","ref":"Confuse.html#statement__52/6"},{"type":"function","title":"Confuse.statement__53/6","doc":"","ref":"Confuse.html#statement__53/6"},{"type":"function","title":"Confuse.statement__54/6","doc":"","ref":"Confuse.html#statement__54/6"},{"type":"function","title":"Confuse.statement__55/6","doc":"","ref":"Confuse.html#statement__55/6"},{"type":"function","title":"Confuse.statement__56/6","doc":"","ref":"Confuse.html#statement__56/6"},{"type":"function","title":"Confuse.statement__57/6","doc":"","ref":"Confuse.html#statement__57/6"},{"type":"function","title":"Confuse.statement__58/6","doc":"","ref":"Confuse.html#statement__58/6"},{"type":"function","title":"Confuse.statement__59/6","doc":"","ref":"Confuse.html#statement__59/6"},{"type":"function","title":"Confuse.statement__60/6","doc":"","ref":"Confuse.html#statement__60/6"},{"type":"function","title":"Confuse.statement__61/6","doc":"","ref":"Confuse.html#statement__61/6"},{"type":"function","title":"Confuse.statement__62/6","doc":"","ref":"Confuse.html#statement__62/6"},{"type":"function","title":"Confuse.statement__63/6","doc":"","ref":"Confuse.html#statement__63/6"},{"type":"function","title":"Confuse.statement__64/6","doc":"","ref":"Confuse.html#statement__64/6"},{"type":"function","title":"Confuse.statement__65/6","doc":"","ref":"Confuse.html#statement__65/6"},{"type":"function","title":"Confuse.statement__66/6","doc":"","ref":"Confuse.html#statement__66/6"},{"type":"function","title":"Confuse.statement__67/6","doc":"","ref":"Confuse.html#statement__67/6"},{"type":"function","title":"Confuse.statement__68/6","doc":"","ref":"Confuse.html#statement__68/6"},{"type":"function","title":"Confuse.statement__69/6","doc":"","ref":"Confuse.html#statement__69/6"},{"type":"function","title":"Confuse.statement__70/6","doc":"","ref":"Confuse.html#statement__70/6"},{"type":"function","title":"Confuse.statement__71/6","doc":"","ref":"Confuse.html#statement__71/6"},{"type":"function","title":"Confuse.statement__72/6","doc":"","ref":"Confuse.html#statement__72/6"},{"type":"function","title":"Confuse.statement__73/6","doc":"","ref":"Confuse.html#statement__73/6"},{"type":"function","title":"Confuse.statement__74/6","doc":"","ref":"Confuse.html#statement__74/6"},{"type":"function","title":"Confuse.statement__75/6","doc":"","ref":"Confuse.html#statement__75/6"},{"type":"function","title":"Confuse.statement__76/6","doc":"","ref":"Confuse.html#statement__76/6"},{"type":"function","title":"Confuse.statement__77/6","doc":"","ref":"Confuse.html#statement__77/6"},{"type":"function","title":"Confuse.statement__78/6","doc":"","ref":"Confuse.html#statement__78/6"},{"type":"function","title":"Confuse.statement__79/6","doc":"","ref":"Confuse.html#statement__79/6"},{"type":"function","title":"Confuse.statement__80/6","doc":"","ref":"Confuse.html#statement__80/6"},{"type":"function","title":"Confuse.statement__81/6","doc":"","ref":"Confuse.html#statement__81/6"},{"type":"function","title":"Confuse.statement__82/6","doc":"","ref":"Confuse.html#statement__82/6"},{"type":"function","title":"Confuse.statement__83/6","doc":"","ref":"Confuse.html#statement__83/6"},{"type":"function","title":"Confuse.statement__84/6","doc":"","ref":"Confuse.html#statement__84/6"},{"type":"function","title":"Confuse.statement__85/6","doc":"","ref":"Confuse.html#statement__85/6"},{"type":"function","title":"Confuse.statement__86/6","doc":"","ref":"Confuse.html#statement__86/6"},{"type":"function","title":"Confuse.statement__87/6","doc":"","ref":"Confuse.html#statement__87/6"},{"type":"function","title":"Confuse.statement__88/6","doc":"","ref":"Confuse.html#statement__88/6"},{"type":"function","title":"Confuse.statement__89/6","doc":"","ref":"Confuse.html#statement__89/6"},{"type":"function","title":"Confuse.statement__90/6","doc":"","ref":"Confuse.html#statement__90/6"},{"type":"function","title":"Confuse.statement__91/6","doc":"","ref":"Confuse.html#statement__91/6"},{"type":"function","title":"Confuse.statement__92/6","doc":"","ref":"Confuse.html#statement__92/6"},{"type":"function","title":"Confuse.statement__93/6","doc":"","ref":"Confuse.html#statement__93/6"},{"type":"function","title":"Confuse.statement__94/6","doc":"","ref":"Confuse.html#statement__94/6"},{"type":"function","title":"Confuse.statement__95/6","doc":"","ref":"Confuse.html#statement__95/6"},{"type":"function","title":"Confuse.statement__96/6","doc":"","ref":"Confuse.html#statement__96/6"},{"type":"function","title":"Confuse.statement__97/6","doc":"","ref":"Confuse.html#statement__97/6"},{"type":"function","title":"Confuse.statement__98/6","doc":"","ref":"Confuse.html#statement__98/6"},{"type":"function","title":"Confuse.statement__99/6","doc":"","ref":"Confuse.html#statement__99/6"},{"type":"function","title":"Confuse.statement__100/6","doc":"","ref":"Confuse.html#statement__100/6"},{"type":"function","title":"Confuse.statement__101/6","doc":"","ref":"Confuse.html#statement__101/6"},{"type":"function","title":"Confuse.statement__102/6","doc":"","ref":"Confuse.html#statement__102/6"},{"type":"function","title":"Confuse.statement__103/6","doc":"","ref":"Confuse.html#statement__103/6"},{"type":"function","title":"Confuse.statement__104/6","doc":"","ref":"Confuse.html#statement__104/6"},{"type":"function","title":"Confuse.statement__105/6","doc":"","ref":"Confuse.html#statement__105/6"},{"type":"function","title":"Confuse.statement__106/6","doc":"","ref":"Confuse.html#statement__106/6"},{"type":"function","title":"Confuse.statement__107/6","doc":"","ref":"Confuse.html#statement__107/6"},{"type":"function","title":"Confuse.statement__108/6","doc":"","ref":"Confuse.html#statement__108/6"},{"type":"function","title":"Confuse.statement__109/6","doc":"","ref":"Confuse.html#statement__109/6"},{"type":"function","title":"Confuse.statement__110/6","doc":"","ref":"Confuse.html#statement__110/6"},{"type":"function","title":"Confuse.statement__111/6","doc":"","ref":"Confuse.html#statement__111/6"},{"type":"function","title":"Confuse.statement__112/6","doc":"","ref":"Confuse.html#statement__112/6"},{"type":"function","title":"Confuse.statement__113/6","doc":"","ref":"Confuse.html#statement__113/6"},{"type":"function","title":"Confuse.statement__114/6","doc":"","ref":"Confuse.html#statement__114/6"},{"type":"function","title":"Confuse.statement__115/6","doc":"","ref":"Confuse.html#statement__115/6"},{"type":"function","title":"Confuse.statement__116/6","doc":"","ref":"Confuse.html#statement__116/6"},{"type":"function","title":"Confuse.statement__117/6","doc":"","ref":"Confuse.html#statement__117/6"},{"type":"function","title":"Confuse.statement__118/6","doc":"","ref":"Confuse.html#statement__118/6"},{"type":"function","title":"Confuse.statement__119/6","doc":"","ref":"Confuse.html#statement__119/6"},{"type":"function","title":"Confuse.statement__120/6","doc":"","ref":"Confuse.html#statement__120/6"},{"type":"function","title":"Confuse.statement__121/6","doc":"","ref":"Confuse.html#statement__121/6"},{"type":"function","title":"Confuse.statement__122/6","doc":"","ref":"Confuse.html#statement__122/6"},{"type":"function","title":"Confuse.statement__123/6","doc":"","ref":"Confuse.html#statement__123/6"},{"type":"function","title":"Confuse.statement__124/6","doc":"","ref":"Confuse.html#statement__124/6"},{"type":"function","title":"Confuse.statement__125/6","doc":"","ref":"Confuse.html#statement__125/6"},{"type":"function","title":"Confuse.statement__126/6","doc":"","ref":"Confuse.html#statement__126/6"},{"type":"function","title":"Confuse.statement__127/6","doc":"","ref":"Confuse.html#statement__127/6"},{"type":"function","title":"Confuse.statement__128/6","doc":"","ref":"Confuse.html#statement__128/6"},{"type":"function","title":"Confuse.statement__129/6","doc":"","ref":"Confuse.html#statement__129/6"},{"type":"function","title":"Confuse.statement__130/6","doc":"","ref":"Confuse.html#statement__130/6"},{"type":"function","title":"Confuse.statement__131/6","doc":"","ref":"Confuse.html#statement__131/6"},{"type":"function","title":"Confuse.statement__132/6","doc":"","ref":"Confuse.html#statement__132/6"},{"type":"function","title":"Confuse.statement__133/6","doc":"","ref":"Confuse.html#statement__133/6"},{"type":"function","title":"Confuse.statement__134/6","doc":"","ref":"Confuse.html#statement__134/6"},{"type":"function","title":"Confuse.statement__135/6","doc":"","ref":"Confuse.html#statement__135/6"},{"type":"function","title":"Confuse.statement__136/6","doc":"","ref":"Confuse.html#statement__136/6"},{"type":"function","title":"Confuse.statement__137/6","doc":"","ref":"Confuse.html#statement__137/6"},{"type":"function","title":"Confuse.statement__138/6","doc":"","ref":"Confuse.html#statement__138/6"},{"type":"function","title":"Confuse.statement__139/6","doc":"","ref":"Confuse.html#statement__139/6"},{"type":"function","title":"Confuse.statement__140/6","doc":"","ref":"Confuse.html#statement__140/6"},{"type":"function","title":"Confuse.statement__141/6","doc":"","ref":"Confuse.html#statement__141/6"},{"type":"function","title":"Confuse.statement__142/6","doc":"","ref":"Confuse.html#statement__142/6"},{"type":"function","title":"Confuse.statement__143/6","doc":"","ref":"Confuse.html#statement__143/6"},{"type":"function","title":"Confuse.statement__144/6","doc":"","ref":"Confuse.html#statement__144/6"},{"type":"function","title":"Confuse.statement__145/6","doc":"","ref":"Confuse.html#statement__145/6"},{"type":"function","title":"Confuse.statement__146/6","doc":"","ref":"Confuse.html#statement__146/6"},{"type":"function","title":"Confuse.statement__147/6","doc":"","ref":"Confuse.html#statement__147/6"},{"type":"function","title":"Confuse.statement__148/6","doc":"","ref":"Confuse.html#statement__148/6"},{"type":"function","title":"Confuse.statement__149/6","doc":"","ref":"Confuse.html#statement__149/6"},{"type":"function","title":"Confuse.statement__150/6","doc":"","ref":"Confuse.html#statement__150/6"},{"type":"function","title":"Confuse.statement__151/6","doc":"","ref":"Confuse.html#statement__151/6"},{"type":"function","title":"Confuse.statement__152/6","doc":"","ref":"Confuse.html#statement__152/6"},{"type":"function","title":"Confuse.statement__153/6","doc":"","ref":"Confuse.html#statement__153/6"},{"type":"function","title":"Confuse.statement__154/6","doc":"","ref":"Confuse.html#statement__154/6"},{"type":"function","title":"Confuse.statement__155/6","doc":"","ref":"Confuse.html#statement__155/6"},{"type":"function","title":"Confuse.statement__156/6","doc":"","ref":"Confuse.html#statement__156/6"},{"type":"function","title":"Confuse.statement__157/6","doc":"","ref":"Confuse.html#statement__157/6"},{"type":"function","title":"Confuse.statement__158/6","doc":"","ref":"Confuse.html#statement__158/6"},{"type":"function","title":"Confuse.statement__159/6","doc":"","ref":"Confuse.html#statement__159/6"},{"type":"function","title":"Confuse.statement__160/6","doc":"","ref":"Confuse.html#statement__160/6"},{"type":"function","title":"Confuse.statement__161/6","doc":"","ref":"Confuse.html#statement__161/6"},{"type":"function","title":"Confuse.statement__162/6","doc":"","ref":"Confuse.html#statement__162/6"},{"type":"function","title":"Confuse.statement__163/6","doc":"","ref":"Confuse.html#statement__163/6"},{"type":"function","title":"Confuse.statement__164/6","doc":"","ref":"Confuse.html#statement__164/6"},{"type":"function","title":"Confuse.statement__165/6","doc":"","ref":"Confuse.html#statement__165/6"},{"type":"function","title":"Confuse.statement__166/6","doc":"","ref":"Confuse.html#statement__166/6"},{"type":"function","title":"Confuse.statement__167/6","doc":"","ref":"Confuse.html#statement__167/6"},{"type":"function","title":"Confuse.statement__168/6","doc":"","ref":"Confuse.html#statement__168/6"},{"type":"function","title":"Confuse.statement__169/6","doc":"","ref":"Confuse.html#statement__169/6"},{"type":"function","title":"Confuse.statement__170/6","doc":"","ref":"Confuse.html#statement__170/6"},{"type":"function","title":"Confuse.statement__171/6","doc":"","ref":"Confuse.html#statement__171/6"},{"type":"function","title":"Confuse.statement__172/6","doc":"","ref":"Confuse.html#statement__172/6"},{"type":"function","title":"Confuse.statement__173/6","doc":"","ref":"Confuse.html#statement__173/6"},{"type":"function","title":"Confuse.statement__174/6","doc":"","ref":"Confuse.html#statement__174/6"},{"type":"function","title":"Confuse.statement__175/6","doc":"","ref":"Confuse.html#statement__175/6"},{"type":"function","title":"Confuse.statement__176/6","doc":"","ref":"Confuse.html#statement__176/6"},{"type":"function","title":"Confuse.statement__177/6","doc":"","ref":"Confuse.html#statement__177/6"},{"type":"function","title":"Confuse.statement__178/6","doc":"","ref":"Confuse.html#statement__178/6"},{"type":"function","title":"Confuse.statement__179/6","doc":"","ref":"Confuse.html#statement__179/6"},{"type":"function","title":"Confuse.statement__180/6","doc":"","ref":"Confuse.html#statement__180/6"},{"type":"function","title":"Confuse.statement__181/6","doc":"","ref":"Confuse.html#statement__181/6"},{"type":"function","title":"Confuse.statement__182/6","doc":"","ref":"Confuse.html#statement__182/6"},{"type":"function","title":"Confuse.statement__183/6","doc":"","ref":"Confuse.html#statement__183/6"},{"type":"function","title":"Confuse.statement__184/6","doc":"","ref":"Confuse.html#statement__184/6"},{"type":"function","title":"Confuse.statement__185/6","doc":"","ref":"Confuse.html#statement__185/6"},{"type":"function","title":"Confuse.statement__186/6","doc":"","ref":"Confuse.html#statement__186/6"},{"type":"function","title":"Confuse.statement__187/6","doc":"","ref":"Confuse.html#statement__187/6"},{"type":"function","title":"Confuse.statement__188/6","doc":"","ref":"Confuse.html#statement__188/6"},{"type":"function","title":"Confuse.statement__189/6","doc":"","ref":"Confuse.html#statement__189/6"},{"type":"function","title":"Confuse.statement__190/6","doc":"","ref":"Confuse.html#statement__190/6"},{"type":"function","title":"Confuse.statement__191/6","doc":"","ref":"Confuse.html#statement__191/6"},{"type":"function","title":"Confuse.statement__192/6","doc":"","ref":"Confuse.html#statement__192/6"},{"type":"function","title":"Confuse.statement__193/6","doc":"","ref":"Confuse.html#statement__193/6"},{"type":"function","title":"Confuse.statement__194/6","doc":"","ref":"Confuse.html#statement__194/6"},{"type":"function","title":"Confuse.statement__195/6","doc":"","ref":"Confuse.html#statement__195/6"},{"type":"function","title":"Confuse.statement__196/6","doc":"","ref":"Confuse.html#statement__196/6"},{"type":"function","title":"Confuse.statement__197/6","doc":"","ref":"Confuse.html#statement__197/6"},{"type":"function","title":"Confuse.statement__198/6","doc":"","ref":"Confuse.html#statement__198/6"},{"type":"function","title":"Confuse.statement__199/6","doc":"","ref":"Confuse.html#statement__199/6"},{"type":"function","title":"Confuse.statement__200/6","doc":"","ref":"Confuse.html#statement__200/6"},{"type":"function","title":"Confuse.statement__201/6","doc":"","ref":"Confuse.html#statement__201/6"},{"type":"function","title":"Confuse.statement__202/6","doc":"","ref":"Confuse.html#statement__202/6"},{"type":"function","title":"Confuse.statement__203/6","doc":"","ref":"Confuse.html#statement__203/6"},{"type":"function","title":"Confuse.statement__204/6","doc":"","ref":"Confuse.html#statement__204/6"},{"type":"function","title":"Confuse.statement__205/6","doc":"","ref":"Confuse.html#statement__205/6"},{"type":"function","title":"Confuse.statement__206/6","doc":"","ref":"Confuse.html#statement__206/6"},{"type":"function","title":"Confuse.statement__207/6","doc":"","ref":"Confuse.html#statement__207/6"},{"type":"function","title":"Confuse.statement__208/6","doc":"","ref":"Confuse.html#statement__208/6"},{"type":"function","title":"Confuse.statement__209/6","doc":"","ref":"Confuse.html#statement__209/6"},{"type":"function","title":"Confuse.statement__210/6","doc":"","ref":"Confuse.html#statement__210/6"},{"type":"function","title":"Confuse.statement__211/6","doc":"","ref":"Confuse.html#statement__211/6"},{"type":"function","title":"Confuse.statement__212/6","doc":"","ref":"Confuse.html#statement__212/6"},{"type":"function","title":"Confuse.statement__213/6","doc":"","ref":"Confuse.html#statement__213/6"},{"type":"function","title":"Confuse.statement__214/6","doc":"","ref":"Confuse.html#statement__214/6"},{"type":"function","title":"Confuse.statement__215/6","doc":"","ref":"Confuse.html#statement__215/6"},{"type":"function","title":"Confuse.statement__216/6","doc":"","ref":"Confuse.html#statement__216/6"},{"type":"function","title":"Confuse.statement__217/6","doc":"","ref":"Confuse.html#statement__217/6"},{"type":"function","title":"Confuse.statement__218/6","doc":"","ref":"Confuse.html#statement__218/6"},{"type":"function","title":"Confuse.statement__219/6","doc":"","ref":"Confuse.html#statement__219/6"},{"type":"function","title":"Confuse.statement__220/6","doc":"","ref":"Confuse.html#statement__220/6"},{"type":"function","title":"Confuse.statement__221/6","doc":"","ref":"Confuse.html#statement__221/6"},{"type":"function","title":"Confuse.statement__222/6","doc":"","ref":"Confuse.html#statement__222/6"},{"type":"function","title":"Confuse.statement__223/6","doc":"","ref":"Confuse.html#statement__223/6"},{"type":"function","title":"Confuse.statement__224/6","doc":"","ref":"Confuse.html#statement__224/6"},{"type":"function","title":"Confuse.statement__225/6","doc":"","ref":"Confuse.html#statement__225/6"},{"type":"function","title":"Confuse.statement__226/6","doc":"","ref":"Confuse.html#statement__226/6"},{"type":"function","title":"Confuse.statement__227/6","doc":"","ref":"Confuse.html#statement__227/6"},{"type":"function","title":"Confuse.statement__228/6","doc":"","ref":"Confuse.html#statement__228/6"},{"type":"function","title":"Confuse.statement__229/6","doc":"","ref":"Confuse.html#statement__229/6"},{"type":"function","title":"Confuse.statement__230/6","doc":"","ref":"Confuse.html#statement__230/6"},{"type":"function","title":"Confuse.statement__231/6","doc":"","ref":"Confuse.html#statement__231/6"},{"type":"function","title":"Confuse.statement__232/6","doc":"","ref":"Confuse.html#statement__232/6"},{"type":"function","title":"Confuse.statement__233/6","doc":"","ref":"Confuse.html#statement__233/6"},{"type":"function","title":"Confuse.statement__234/6","doc":"","ref":"Confuse.html#statement__234/6"},{"type":"function","title":"Confuse.statement__235/6","doc":"","ref":"Confuse.html#statement__235/6"},{"type":"function","title":"Confuse.statement__236/6","doc":"","ref":"Confuse.html#statement__236/6"},{"type":"function","title":"Confuse.statement__237/6","doc":"","ref":"Confuse.html#statement__237/6"},{"type":"function","title":"Confuse.statement__238/6","doc":"","ref":"Confuse.html#statement__238/6"},{"type":"function","title":"Confuse.statement__239/6","doc":"","ref":"Confuse.html#statement__239/6"},{"type":"function","title":"Confuse.statement__240/6","doc":"","ref":"Confuse.html#statement__240/6"},{"type":"function","title":"Confuse.statement__241/6","doc":"","ref":"Confuse.html#statement__241/6"},{"type":"function","title":"Confuse.statement__242/6","doc":"","ref":"Confuse.html#statement__242/6"},{"type":"function","title":"Confuse.statement__243/6","doc":"","ref":"Confuse.html#statement__243/6"},{"type":"function","title":"Confuse.statement__244/6","doc":"","ref":"Confuse.html#statement__244/6"},{"type":"function","title":"Confuse.statement__245/6","doc":"","ref":"Confuse.html#statement__245/6"},{"type":"function","title":"Confuse.statement__246/6","doc":"","ref":"Confuse.html#statement__246/6"},{"type":"function","title":"Confuse.statement__247/6","doc":"","ref":"Confuse.html#statement__247/6"},{"type":"function","title":"Confuse.statement__248/6","doc":"","ref":"Confuse.html#statement__248/6"},{"type":"function","title":"Confuse.statement__249/6","doc":"","ref":"Confuse.html#statement__249/6"},{"type":"function","title":"Confuse.statement__250/6","doc":"","ref":"Confuse.html#statement__250/6"},{"type":"function","title":"Confuse.statement__251/6","doc":"","ref":"Confuse.html#statement__251/6"},{"type":"function","title":"Confuse.statement__252/6","doc":"","ref":"Confuse.html#statement__252/6"},{"type":"function","title":"Confuse.statement__253/6","doc":"","ref":"Confuse.html#statement__253/6"},{"type":"function","title":"Confuse.statement__254/6","doc":"","ref":"Confuse.html#statement__254/6"},{"type":"function","title":"Confuse.statement__255/6","doc":"","ref":"Confuse.html#statement__255/6"},{"type":"function","title":"Confuse.statement__256/6","doc":"","ref":"Confuse.html#statement__256/6"},{"type":"function","title":"Confuse.statement__257/6","doc":"","ref":"Confuse.html#statement__257/6"},{"type":"function","title":"Confuse.statement__258/6","doc":"","ref":"Confuse.html#statement__258/6"},{"type":"function","title":"Confuse.statement__259/6","doc":"","ref":"Confuse.html#statement__259/6"},{"type":"function","title":"Confuse.statement__260/6","doc":"","ref":"Confuse.html#statement__260/6"},{"type":"function","title":"Confuse.statement__261/6","doc":"","ref":"Confuse.html#statement__261/6"},{"type":"function","title":"Confuse.statement__262/6","doc":"","ref":"Confuse.html#statement__262/6"},{"type":"function","title":"Confuse.statement__263/6","doc":"","ref":"Confuse.html#statement__263/6"},{"type":"function","title":"Confuse.statement__264/6","doc":"","ref":"Confuse.html#statement__264/6"},{"type":"function","title":"Confuse.statement__265/6","doc":"","ref":"Confuse.html#statement__265/6"},{"type":"function","title":"Confuse.statement__266/6","doc":"","ref":"Confuse.html#statement__266/6"},{"type":"function","title":"Confuse.statement__267/6","doc":"","ref":"Confuse.html#statement__267/6"},{"type":"function","title":"Confuse.statement__268/6","doc":"","ref":"Confuse.html#statement__268/6"},{"type":"function","title":"Confuse.statement__269/6","doc":"","ref":"Confuse.html#statement__269/6"},{"type":"function","title":"Confuse.statement__270/6","doc":"","ref":"Confuse.html#statement__270/6"},{"type":"function","title":"Confuse.statement__271/6","doc":"","ref":"Confuse.html#statement__271/6"},{"type":"function","title":"Confuse.statement__272/6","doc":"","ref":"Confuse.html#statement__272/6"},{"type":"function","title":"Confuse.statement__273/6","doc":"","ref":"Confuse.html#statement__273/6"},{"type":"function","title":"Confuse.statement__274/6","doc":"","ref":"Confuse.html#statement__274/6"},{"type":"function","title":"Confuse.statement__275/6","doc":"","ref":"Confuse.html#statement__275/6"},{"type":"function","title":"Confuse.statement__276/6","doc":"","ref":"Confuse.html#statement__276/6"},{"type":"function","title":"Confuse.statement__277/6","doc":"","ref":"Confuse.html#statement__277/6"},{"type":"function","title":"Confuse.statement__278/6","doc":"","ref":"Confuse.html#statement__278/6"},{"type":"function","title":"Confuse.statement__279/6","doc":"","ref":"Confuse.html#statement__279/6"},{"type":"function","title":"Confuse.statement__280/6","doc":"","ref":"Confuse.html#statement__280/6"},{"type":"function","title":"Confuse.statement__281/6","doc":"","ref":"Confuse.html#statement__281/6"},{"type":"function","title":"Confuse.statement__282/6","doc":"","ref":"Confuse.html#statement__282/6"},{"type":"function","title":"Confuse.statement__283/6","doc":"","ref":"Confuse.html#statement__283/6"},{"type":"function","title":"Confuse.statement__284/6","doc":"","ref":"Confuse.html#statement__284/6"},{"type":"function","title":"Confuse.statement__285/6","doc":"","ref":"Confuse.html#statement__285/6"},{"type":"function","title":"Confuse.statement__286/6","doc":"","ref":"Confuse.html#statement__286/6"},{"type":"function","title":"Confuse.statement__287/6","doc":"","ref":"Confuse.html#statement__287/6"},{"type":"function","title":"Confuse.statement__288/6","doc":"","ref":"Confuse.html#statement__288/6"},{"type":"function","title":"Confuse.statement__289/6","doc":"","ref":"Confuse.html#statement__289/6"},{"type":"function","title":"Confuse.statement__290/6","doc":"","ref":"Confuse.html#statement__290/6"},{"type":"function","title":"Confuse.statement__291/6","doc":"","ref":"Confuse.html#statement__291/6"},{"type":"function","title":"Confuse.statement__292/6","doc":"","ref":"Confuse.html#statement__292/6"},{"type":"function","title":"Confuse.statement__293/6","doc":"","ref":"Confuse.html#statement__293/6"},{"type":"function","title":"Confuse.statement__294/6","doc":"","ref":"Confuse.html#statement__294/6"},{"type":"function","title":"Confuse.statement__295/6","doc":"","ref":"Confuse.html#statement__295/6"},{"type":"function","title":"Confuse.statement__296/6","doc":"","ref":"Confuse.html#statement__296/6"},{"type":"function","title":"Confuse.statement__297/6","doc":"","ref":"Confuse.html#statement__297/6"},{"type":"function","title":"Confuse.statement__298/6","doc":"","ref":"Confuse.html#statement__298/6"},{"type":"function","title":"Confuse.statement__299/6","doc":"","ref":"Confuse.html#statement__299/6"},{"type":"function","title":"Confuse.statement__300/6","doc":"","ref":"Confuse.html#statement__300/6"},{"type":"function","title":"Confuse.statement__301/6","doc":"","ref":"Confuse.html#statement__301/6"},{"type":"function","title":"Confuse.statement__302/6","doc":"","ref":"Confuse.html#statement__302/6"},{"type":"function","title":"Confuse.statement__303/6","doc":"","ref":"Confuse.html#statement__303/6"},{"type":"function","title":"Confuse.statement__304/6","doc":"","ref":"Confuse.html#statement__304/6"},{"type":"function","title":"Confuse.statement__305/6","doc":"","ref":"Confuse.html#statement__305/6"},{"type":"function","title":"Confuse.statement__306/6","doc":"","ref":"Confuse.html#statement__306/6"},{"type":"function","title":"Confuse.statement__307/6","doc":"","ref":"Confuse.html#statement__307/6"},{"type":"function","title":"Confuse.statement__308/6","doc":"","ref":"Confuse.html#statement__308/6"},{"type":"function","title":"Confuse.statement__309/6","doc":"","ref":"Confuse.html#statement__309/6"},{"type":"function","title":"Confuse.statement__310/6","doc":"","ref":"Confuse.html#statement__310/6"},{"type":"function","title":"Confuse.statement__311/6","doc":"","ref":"Confuse.html#statement__311/6"},{"type":"function","title":"Confuse.statement__312/6","doc":"","ref":"Confuse.html#statement__312/6"},{"type":"function","title":"Confuse.statement__313/6","doc":"","ref":"Confuse.html#statement__313/6"},{"type":"function","title":"Confuse.statement__314/6","doc":"","ref":"Confuse.html#statement__314/6"},{"type":"module","title":"Confuse.Fwup","doc":"Special-purpose functionality for usage of config files by the [fwup](https://github.com/fwup-home/fwup) tool.\n\nPrimarily to provide functionality for Nerves firmware update introspection.","ref":"Confuse.Fwup.html"},{"type":"function","title":"Confuse.Fwup.get_delta_files/1","doc":"","ref":"Confuse.Fwup.html#get_delta_files/1"},{"type":"function","title":"Confuse.Fwup.get_feature_usage/1","doc":"","ref":"Confuse.Fwup.html#get_feature_usage/1"},{"type":"function","title":"Confuse.Fwup.validate_delta/3","doc":"","ref":"Confuse.Fwup.html#validate_delta/3"},{"type":"type","title":"Confuse.Fwup.validation/0","doc":"","ref":"Confuse.Fwup.html#t:validation/0"},{"type":"module","title":"Confuse.Fwup.Features","doc":"Fwup features.\n\nData structure to provide information about fwup features detected in a config file.","ref":"Confuse.Fwup.Features.html"},{"type":"function","title":"Confuse.Fwup.Features.squash/2","doc":"","ref":"Confuse.Fwup.Features.html#squash/2"},{"type":"type","title":"Confuse.Fwup.Features.t/0","doc":"","ref":"Confuse.Fwup.Features.html#t:t/0"},{"type":"extras","title":"Confuse","doc":"# Confuse\n\nAn all-Elixir parser for libconfuse style config files.\n\nIt is primarily made to serve the Nerves ecosystem as our firmware update tool\nof choice, `fwup`, uses libconfuse for config. Happy to expand capability over\ntime.","ref":"readme.html"},{"type":"extras","title":"Installation - Confuse","doc":"Most easily installed with Igniter:\n\n```sh\nmix archive.install hex igniter_new && mix igniter.install confuse\n```\n\nThe package can be installed by adding `confuse` to your list of dependencies\nin `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:confuse, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Confuse","doc":"Parsing a file produces a map that is the structured form of the config file.\nThe structured form can still be a bit unwieldy, open to suggestions on\nmaking it nicer.\n\n```elixir\n{:ok, parsed} =\n  \"fwup.conf\"\n  |> File.read!()\n  |> Confuse.parse()\n```","ref":"readme.html#usage"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}